Touches = {}

function Touches:update(dt)
    local touches = love.touch.getTouches()

    if levelState == "PVA" then
       --Joystick
        for i, id in ipairs(touches) do
            local x, y = love.touch.getPosition(id)
            local pressure = love.touch.getPressure( id )
            if pressure == 1 and 
                x >= Joystick.x - 100 and 
                x <= Joystick.x + Joystick.radius + 30 and
                y >= Joystick.y - 100 and 
                y <= Joystick.y + Joystick.radius + 30 then
                Joystick.isActive = true
                Joystick:Following(x,y)
                Joystick.isDown = true
            
            end
        end
    

        --Nitro
        for i, id in ipairs(touches) do
            local x, y = love.touch.getPosition(id)
            local pressure = love.touch.getPressure( id )
            if pressure == 1 and 
                x >= GMbuttons.NitroButton.x - 50 and 
                x <= GMbuttons.NitroButton.x + GMbuttons.NitroButton.radius and
                y >= GMbuttons.NitroButton.y - 50 and 
                y <= GMbuttons.NitroButton.y + GMbuttons.NitroButton.radius and 
                levelState == "PVA" and
                Joystick.isActive and 
                Car.nitroFuel > 0 then
                    Car.accel = 650
                    Car.max_speed = 200
                    Car.nitroFuel = Car.nitroFuel - 5
                    Car.isNitro = true
            else
                --Car.accel = 400
                Car.max_speed = 120
                Car.speed = 0
                Car.isNitro = false    
            end
        end
    end 
 end
