Joystick = {}

function Joystick:load()


    self.handleRadius = 25
    self.radius = 75

    self.distance = 0
    self.angle = 0
    self.handleX = 100
    self.handleY = 600
    self.x = 100
    self.y = 600
    self.distanceX = 0
    self.distanceY = 0

    self.isDown = false
end

function Joystick:update(dt)
    
end


function Joystick:Following(x,y)
    self.distanceX = x - self.x
    self.distanceY = y - self.y
    self.distance = math.min(math.sqrt(self.distanceX^2 + self.distanceY^2), self.radius)
    self.angle = math.atan2(self.distanceY,self.distanceX)

    self.handleX = self.x + (math.cos(self.angle) * self.distance)
    self.handleY = self.y + (math.sin(self.angle) * self.distance)
end


function Joystick:draw()
    love.graphics.circle("fill", self.handleX, self.handleY,self.handleRadius)
    love.graphics.circle("line",self.x, self.y,self.radius)     
end